LogOnControllerLogOn Method |
POST /LogOn/
Logs the user on using standard log on options.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public IActionResult LogOn(
[FromBodyAttribute] LogOnOptions options
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function LogOn (
<FromBodyAttribute> options As LogOnOptions
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ LogOn(
[FromBodyAttribute] LogOnOptions^ options
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member LogOn :
[<FromBodyAttribute>] options : LogOnOptions -> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsLogOnOptions
The options for log on (credentials, token, name/password, windows log on).
Return Value
Type:
IActionResultA
LogOnResultData object, or a status code indicating the problem.
See Also